For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Log inBook a demo
GuidesAPI Reference
GuidesAPI Reference
  • API Reference
      • GETList Bulk Syncs
      • POSTCreate Bulk Sync
      • GETGet Bulk Sync
      • PUTUpdate Bulk Sync
      • DELDelete Bulk Sync
      • POSTActivate Bulk Sync
      • POSTCancel Bulk Sync
      • POSTStart Bulk Sync Execution
      • GETGet Bulk Sync Status
      • GETGet Bulk Source
      • GETGet Bulk Destination
Logo
Log inBook a demo
API ReferenceBulk Sync

Start Bulk Sync Execution

POST
https://app.polytomic.com/api/bulk/syncs/:id/executions
POST
/api/bulk/syncs/:id/executions
$curl -X POST https://app.polytomic.com/api/bulk/syncs/248df4b7-aa70-47b8-a036-33ac447e668d/executions \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "data": {
3 "completed_at": "2023-04-25T12:00:00Z",
4 "created_at": "2023-04-25T12:00:00Z",
5 "error_count": 0,
6 "fetch_mode": "none",
7 "id": "248df4b7-aa70-47b8-a036-33ac447e668d",
8 "is_partial": false,
9 "is_resync": false,
10 "is_test": false,
11 "output_disposition": "retain",
12 "record_count": 1000,
13 "schemas": [
14 {
15 "completed_at": "2023-04-25T12:00:00Z",
16 "created_at": "2023-04-25T12:00:00Z",
17 "error_count": 0,
18 "output_name": "contact",
19 "record_count": 1000,
20 "schema": "contact",
21 "started_at": "2023-04-25T12:00:00Z",
22 "status": "created",
23 "status_message": "string",
24 "updated_at": "2023-04-25T12:00:00Z",
25 "warning_count": 0
26 }
27 ],
28 "started_at": "2023-04-25T12:00:00Z",
29 "status": "created",
30 "status_message": "string",
31 "type": "scheduled",
32 "updated_at": "2023-04-25T12:00:00Z",
33 "warning_count": 0
34 }
35}
Starts a new execution of a bulk sync. This endpoint returns the execution record immediately after the run is queued or started. Use the execution ID with the bulk-sync execution endpoints if you need to monitor progress in detail. ## Execution modes - Set `test=true` to validate the sync without writing to the destination. - Use `resync_mode` for destructive or full-refresh style reruns. - `test` and `resync_mode` are mutually exclusive. The legacy `resync` boolean is no longer accepted on this v5 endpoint. Send `resync_mode` instead. If another execution is already running, the endpoint returns `409 Conflict`.
Was this page helpful?
Previous

Get Bulk Sync Status

Next

Starts a new execution of a bulk sync.

This endpoint returns the execution record immediately after the run is queued or started. Use the execution ID with the bulk-sync execution endpoints if you need to monitor progress in detail.

Execution modes

  • Set test=true to validate the sync without writing to the destination.
  • Use resync_mode for destructive or full-refresh style reruns.
  • test and resync_mode are mutually exclusive.

The legacy resync boolean is no longer accepted on this v5 endpoint. Send resync_mode instead.

If another execution is already running, the endpoint returns 409 Conflict.

Authentication

AuthorizationBearer
Bearer user API key
OR
AuthorizationBasic

Basic organization-scoped API key

Path parameters

idstringRequiredformat: "uuid"
Unique identifier of the bulk sync.

Headers

X-Polytomic-VersionstringOptional

Request

This endpoint expects an object.
fetch_modeenumOptional
How the data is fetched. 'none' is normal operation for Polytomic. 'incremental' and 'full' apply to syncs from Salesforce. 'incremental' indicates the data is synced incrementally using record modification time. 'full' is necessary to catch up to the latest values for formula fields and rollup fields whose updates don't show up in incremental runs due to limitations in Salesforce.
Allowed values:
resync_modeenumOptional
Allowed values:
schemaslist of strings or nullOptional
Optional list of schema IDs to include in this execution. If empty, all enabled schemas are included.
testbooleanOptional

When true, runs a test execution that validates the configuration without writing to the destination. Mutually exclusive with resync_mode.

Response

OK
dataobject

Errors

400
Bad Request Error
409
Conflict Error